Functions

# glm::gtx::fast_square_root Namespace Reference

GLM_GTX_fast_square_root extension: Fast but less accurate implementations of square root based functions. More...

## Functions
template<typename genType >
genType::value_type | fastDistance (genType const &x, genType const &y)
| Faster than the common distance function but less accurate.
template<typename genType >
genType | fastInverseSqrt (genType const &x)
| Faster than the common inversesqrt function but less accurate.
template<typename genType >
genType::value_type | fastLength (genType const &x)
| Faster than the common length function but less accurate.
template<typename genType >
genType | fastNormalize (genType const &x)
| Faster than the common normalize function but less accurate.
template<typename genType >
genType | fastSqrt (genType const &x)
| Faster than the common sqrt function but less accurate.

## Detailed Description

GLM_GTX_fast_square_root extension: Fast but less accurate implementations of square root based functions.

## Function Documentation

genType::value_type glm::gtx::fast_square_root::fastDistance | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Faster than the common distance function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::gtx::fast_square_root::fastInverseSqrt | ( | genType const & | x ) |

Faster than the common inversesqrt function but less accurate.

From GLM_GTX_fast_square_root extension.

genType::value_type glm::gtx::fast_square_root::fastLength | ( | genType const & | x ) |

Faster than the common length function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::gtx::fast_square_root::fastNormalize | ( | genType const & | x ) |

Faster than the common normalize function but less accurate.

From GLM_GTX_fast_square_root extension.

genType glm::gtx::fast_square_root::fastSqrt | ( | genType const & | x ) |

Faster than the common sqrt function but less accurate.

From GLM_GTX_fast_square_root extension.